### Enumeration

# AppStream ColorKind

since: 1.0

#### Declaration

    enum AppStream.ColorKind

#### Description [src]

A branding color type.

Available since: 1.0

#### Members

`AS_COLOR_KIND_UNKNOWN`

  Color type invalid or not known.

  - Value: `0`
  - Nickname: `unknown`
  - Available since: 1.0
`AS_COLOR_KIND_PRIMARY`

  Primary accent color.

  - Value: `1`
  - Nickname: `primary`
  - Available since: 1.0

#### Type functions

###### as_color_kind_from_string

Converts the text representation to an enumerated value.

since: 0.15.2

###### as_color_kind_to_string

Converts the enumerated value to an text representation.

since: 0.15.2